---
id: connector-detail
title: ConnectorDetail
pagination_label: ConnectorDetail
sidebar_label: ConnectorDetail
sidebar_class_name: powershellsdk
keywords: ['powershell', 'PowerShell', 'sdk', 'ConnectorDetail', 'ConnectorDetail'] 
slug: /tools/sdk/powershell/v3/models/connector-detail
tags: ['SDK', 'Software Development Kit', 'ConnectorDetail', 'ConnectorDetail']
---


# ConnectorDetail

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **String** | The connector name | [optional] 
**Type** | **String** | The connector type | [optional] 
**ClassName** | **String** | The connector class name | [optional] 
**ScriptName** | **String** | The connector script name | [optional] 
**ApplicationXml** | **String** | The connector application xml | [optional] 
**CorrelationConfigXml** | **String** | The connector correlation config xml | [optional] 
**SourceConfigXml** | **String** | The connector source config xml | [optional] 
**SourceConfig** | **String** | The connector source config | [optional] 
**SourceConfigFrom** | **String** | The connector source config origin | [optional] 
**S3Location** | **String** | storage path key for this connector | [optional] 
**UploadedFiles** | **[]String** | The list of uploaded files supported by the connector. If there was any executable files uploaded to thee connector. Typically this be empty as the executable be uploaded at source creation. | [optional] 
**FileUpload** | **Boolean** | true if the source is file upload | [optional] [default to $false]
**DirectConnect** | **Boolean** | true if the source is a direct connect source | [optional] [default to $false]
**TranslationProperties** | [**map[string]AnyType**]https://learn.microsoft.com/en-us/powershell/scripting/lang-spec/chapter-04?view=powershell-7.4 | A map containing translation attributes by loacale key | [optional] 
**ConnectorMetadata** | [**map[string]AnyType**]https://learn.microsoft.com/en-us/powershell/scripting/lang-spec/chapter-04?view=powershell-7.4 | A map containing metadata pertinent to the UI to be used | [optional] 
**Status** |  **Enum** [  "DEPRECATED",    "DEVELOPMENT",    "DEMO",    "RELEASED" ] | The connector status | [optional] 

## Examples

- Prepare the resource
```powershell
$ConnectorDetail = Initialize-ConnectorDetail  -Name name `
 -Type ServiceNow `
 -ClassName class name `
 -ScriptName servicenow `
 -ApplicationXml <?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE Application PUBLIC "sailpoint.dtd" "sailpoint.dtd">
<Application connector="sailpoint.connector.OpenConnectorAdapter" name="custom Atlassian Suite - Cloud" type="custom Atlassian Suite - Cloud"/>
 `
 -CorrelationConfigXml <?xml version='1.0' encoding='UTF-8'?>
<!-- Copyright (C) 2021 SailPoint Technologies, Inc.  All rights reserved. -->

<!DOCTYPE CorrelationConfig PUBLIC "sailpoint.dtd" "sailpoint.dtd">

<CorrelationConfig name="custom Atlassian Suite - Cloud Account Correlation Config">
	<AttributeAssignments>
		<Filter operation="EQ" property="email" value="mail"/>
		<Filter operation="EQ" property="empId" value="employeeNumber"/>
		<Filter operation="EQ" property="displayName" value="cn"/>
	</AttributeAssignments>
</CorrelationConfig>
 `
 -SourceConfigXml <?xml version="1.0" encoding="UTF-8" standalone="no"?><!-- Copyright (C) 2023 SailPoint Technologies, Inc.  All rights reserved. --><Form xmlns="http://www.sailpoint.com/xsd/sailpoint_form_2_0.xsd" connectorName="custom Atlassian Suite - Cloud" directConnect="true" fileUpload="true" name="Custom Atlassian Suite - Cloud" status="released" type="SourceConfig">
    <BaseConfig>
        <Field maxFiles="10" maxSize="300" name="fileUpload" supportedExtensions="jar" type="fileupload" validateJSON="false"/>
    </BaseConfig>
  

 
</Form> `
 -SourceConfig <?xml version="1.0" encoding="UTF-8" standalone="no"?><!-- Copyright (C) 2023 SailPoint Technologies, Inc.  All rights reserved. --><Form xmlns="http://www.sailpoint.com/xsd/sailpoint_form_2_0.xsd" connectorName="custom Atlassian Suite - Cloud" directConnect="true" fileUpload="true" name="Custom Atlassian Suite - Cloud" status="released" type="SourceConfig">
    <BaseConfig>
        <Field maxFiles="10" maxSize="300" name="fileUpload" supportedExtensions="jar" type="fileupload" validateJSON="false"/>
    </BaseConfig>
  

 
</Form> `
 -SourceConfigFrom sp-connect `
 -S3Location custom-connector/scriptname `
 -UploadedFiles [pod/org/connectorFiles/testconnector/test1.jar] `
 -FileUpload true `
 -DirectConnect true `
 -TranslationProperties {de=# Copyright (C) 2024 SailPoint Technologies, Inc.  All rights reserved.
# DO NOT EDIT. This file is generated by "sailpointTranslate" command.
menuLabel_ConnectionSettings=Verbindungseinstellungen
menuLabel_AggregationSettings=Aggregationseinstellungen
sectionLabel_AuthenticationSettings=Verbindungseinstellungen
sectionLabel_AggregationSettings=Aggregationseinstellungen
sectionInfo_AuthenticationSettings=Konfigurieren Sie eine direkte Verbindung zwischen der Quelle Delinea Secret Server On-Premise und IdentityNow.<br><br>Geben Sie bei <strong>Zeit\u00fcberschreitung bei Verbindung</strong> die maximal erlaubte Zeitdauer (in Minuten) f\u00fcr die Verbindung von IdentityNow mit der Quelle ein.<br><br>Geben Sie die <strong>Host-URL</strong> der Delinea-SCIM-Serverquelle ein.<br><br>Geben Sie den <strong>API-Token</strong> der Quelle zur Authentifizierung ein.
sectionInfo_AggregationSettings=Geben Sie die Einstellungen f\u00fcr Ihre Aggregation an.<br><br>Geben Sie in das Feld  <strong>Seitengr\u00f6\u00dfe</strong> die Anzahl an Kontoeintr\u00e4gen ein, die auf einer einzelnen Seite aggregiert werden sollen, wenn gro\u00dfe Datens\u00e4tze durchlaufen werden.<br>\n<br>Geben Sie im <strong>Kontofilter</strong> die Bedingungen f\u00fcr den Kontofilter an. Beispiel: userName sw "S"<br><br>Geben Sie im <strong>Gruppenfilter</strong> die Gruppenfilterbedingungen an. Beispiel: displayName sw "S".
placeHolder_accAggregation=userName sw "S"
placeHolder_grpAggregation=displayName sw "S"
placeHolder_host=https://{Delinea_SCIM_Server_host}/v2
docLinkLabel_AuthenticationSettings=Mehr \u00fcber Verbindungseinstellungen
docLinkLabel_Filters=Mehr \u00fcber Konto- und Gruppenfilter
HostURL=Host-URL
ConnectionTimeout=Zeit\u00fcberschreitung bei Verbindung
API_TOKEN=API-Token
JSONPathMapping=JSON-Path-Attribut-Mapping
FilterConditionForAccounts=Kontofilter
FilterConditionForGroups=Gruppenfilter
Page_Size=Seitengr\u00f6\u00dfe
SchemaAttribute=Schema-Attribut
JSONpath=JSON-Pfad
ShortDesc=Das Integrationsmodul IdentityNow f\u00fcr Delinea Secret Server On-Premise bietet die M\u00f6glichkeit einer tiefen Governance f\u00fcr Konten und Gruppen. Es unterst\u00fctzt au\u00dferdem das End-to-End-Lebenszyklus-Management.} `
 -ConnectorMetadata {supportedUI=EXTJS, platform=ccg, shortDesc=connector description} `
 -Status RELEASED
```

- Convert the resource to JSON
```powershell
$ConnectorDetail | ConvertTo-JSON
```


[[Back to top]](#) 

